Subject: Re: [RFC] Git User's Survey 2008

From: Jakub Narebski <[email-masked]>
Date: Thu, 24 Jul 2008 01:30:30 +0200

Dnia środa 23. lipca 2008 16:54, Robin Rosenberg napisał:
> onsdagen den 23 juli 2008 15.18.40 skrev Johannes Schindelin:
>> On Wed, 23 Jul 2008, Jakub Narebski wrote:
>>> On Wed, 23 Jul 2008, Johannes Schindelin wrote:
>>>> On Wed, 23 Jul 2008, Jakub Narebski wrote:
>>>> 
>>>>>    04. Which programming languages you are proficient with?
>>>>>        (The choices include programming languages used by git)
>>>>>        (zero or more: multiple choice)
>>>>>      - C, shell, Perl, Python, Tcl/Tk
>>>>>      + (should we include other languages, like C++, Java, PHP,
>>>>>         Ruby,...?)
>>>> 
>>>> Yes, I think this should be a long list.
>>> 
>>> I'd rather not have a "laundry list" of languages.  I have put C++
>>> because QGit uses it, Java because of egit/jgit, PHP for web
>>> interfaces, Ruby because of GitHub and because of Ruby comminity
>>> choosing Git.  I should perhaps add Emacs Lisp, HTML+CSS and
>>> JavaScript here.  What other languages should be considered?
>> 
>> C# at least, since we had one (pretty unsuccessful) attempt at 
>> reimplementing Git in it.
> 
> What is the reason for the question? Do we want to know what languages
> people would like to contribute to Git in or do we want to know what "kind"
> of programmers are attracted by Git?  Making it a long list should make
> it easier to tabulate the responses.

The idea is, I think, to know what languages people could contribute
to Git; see analysis of this question at GitSurvey2007 page on git wiki:
  http://git.or.cz/gitwiki/GitSurvey2007#head-ecb5564d71e4093e2e93e508380407a26dbcbdea

C++ is for QGit, Java for egit/jgit, C# for git#/widgit and perhaps
Git-Cheetah, PHP for web interfaces, Ruby because of GitHub, Python
because some contrib is in Python, Emacs Lisp for git.el, HTML+CSS
and JavaScript for web interfaces; perhaps we should also add AsciiDoc
for documentation.  And of course "I am not programmer" response...

But I'm not too tied to this question; I guess it can be simply
removed if it doesn't offer some important (for us) information.

-- 
Jakub Narebski
Poland